import React from "react";
import { InputNumberProps } from "antd/es/input-number";
declare type ValueType = {
    max: number | null;
    min: number | null;
};
declare type InputNumberRangeProps = {
    value?: ValueType;
    onChange?: (value: ValueType) => void;
    minInputNumberProps?: Omit<InputNumberProps<number>, "value" | "onChange">;
    maxInputNumberProps?: Omit<InputNumberProps<number>, "value" | "onChange">;
    separator?: React.ReactNode;
};
declare const InputNumberRange: React.FC<InputNumberRangeProps>;
export default InputNumberRange;
